import { NextRequest, NextResponse } from "next/server";
import { getServerSession } from "next-auth";
import { authOptions } from "app/_lib/auth";
import { createUserVisualization } from "app/_lib/opensearch";

export const POST = async (req: NextRequest) => {
    const session = await getServerSession(authOptions);
    const { user: { email } }: any = session;
    const { visualizationID, title, description, query } = await req.json();
    const id = await createUserVisualization({
        email,
        visualizationID,
        title,
        description,
        query
    });

    return NextResponse.json({ id });
};

